Page MenuHomePhabricator

Create separate wfSuppressWarnings/wfRestoreWarnings library
Closed, ResolvedPublic

Description

Create a separate library that contains the functionality of wfSuppressWarnings and wfRestoreWarnings as a safe alternative to @.

Event Timeline

Legoktm created this task.May 31 2015, 8:22 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Librarization.
Legoktm added subscribers: Aklapper, Bawolff, Legoktm, bd808.

Change 216499 had a related patch set uploaded (by Legoktm):
[WIP] Initial commit

https://gerrit.wikimedia.org/r/216499

Change 216499 merged by jenkins-bot:
Initial commit

https://gerrit.wikimedia.org/r/216499

Legoktm added a project: at-ease.
Legoktm set Security to None.

Change 217321 had a related patch set uploaded (by Legoktm):
Use mediawiki/at-ease library for suppressing warnings

https://gerrit.wikimedia.org/r/217321

Change 217321 merged by jenkins-bot:
Use mediawiki/at-ease library for suppressing warnings

https://gerrit.wikimedia.org/r/217321

Legoktm closed this task as Resolved.Jun 11 2015, 7:09 PM
Legoktm claimed this task.
bd808 moved this task from Untriaged to Done on the Librarization board.Jul 22 2015, 11:16 PM